## STUN Constants STUN Constants |

## Types and Values

#define | STUN_AGENT_MAX_SAVED_IDS
#define | STUN_AGENT_MAX_UNKNOWN_ATTRIBUTES
#define | STUN_ATTRIBUTE_HEADER_LENGTH
#define | STUN_ATTRIBUTE_LENGTH_LEN
#define | STUN_ATTRIBUTE_LENGTH_POS
#define | STUN_ATTRIBUTE_TYPE_LEN
#define | STUN_ATTRIBUTE_TYPE_POS
#define | STUN_ATTRIBUTE_VALUE_POS
#define | STUN_ID_LEN
#define | STUN_MAGIC_COOKIE
#define | STUN_MAX_MESSAGE_SIZE
#define | STUN_MAX_MESSAGE_SIZE_IPV4
#define | STUN_MAX_MESSAGE_SIZE_IPV6
#define | STUN_MESSAGE_ATTRIBUTES_POS
#define | STUN_MESSAGE_HEADER_LENGTH
#define | STUN_MESSAGE_LENGTH_LEN
#define | STUN_MESSAGE_LENGTH_POS
#define | STUN_MESSAGE_TRANS_ID_LEN
#define | STUN_MESSAGE_TRANS_ID_POS
#define | STUN_MESSAGE_TYPE_LEN
#define | STUN_MESSAGE_TYPE_POS
#define | TURN_MAGIC_COOKIE

## Description

## Functions

## Types and Values

### STUN_AGENT_MAX_SAVED_IDS

    #define STUN_AGENT_MAX_SAVED_IDS 200

### STUN_AGENT_MAX_UNKNOWN_ATTRIBUTES

    #define STUN_AGENT_MAX_UNKNOWN_ATTRIBUTES 256

### STUN_ATTRIBUTE_HEADER_LENGTH

    #define STUN_ATTRIBUTE_HEADER_LENGTH STUN_ATTRIBUTE_VALUE_POS

### STUN_ATTRIBUTE_LENGTH_LEN

    #define STUN_ATTRIBUTE_LENGTH_LEN 2

### STUN_ATTRIBUTE_LENGTH_POS

    #define             STUN_ATTRIBUTE_LENGTH_POS

### STUN_ATTRIBUTE_TYPE_LEN

    #define STUN_ATTRIBUTE_TYPE_LEN 2

### STUN_ATTRIBUTE_TYPE_POS

    #define STUN_ATTRIBUTE_TYPE_POS 0

### STUN_ATTRIBUTE_VALUE_POS

    #define             STUN_ATTRIBUTE_VALUE_POS

### STUN_ID_LEN

    #define STUN_ID_LEN 16

### STUN_MAGIC_COOKIE

    #define STUN_MAGIC_COOKIE 0x2112A442

### STUN_MAX_MESSAGE_SIZE

    #define STUN_MAX_MESSAGE_SIZE 65552

The Maximum size of a STUN message

### STUN_MAX_MESSAGE_SIZE_IPV4

    #define STUN_MAX_MESSAGE_SIZE_IPV4 576

### STUN_MAX_MESSAGE_SIZE_IPV6

    #define STUN_MAX_MESSAGE_SIZE_IPV6 1280

### STUN_MESSAGE_ATTRIBUTES_POS

    #define             STUN_MESSAGE_ATTRIBUTES_POS

### STUN_MESSAGE_HEADER_LENGTH

    #define STUN_MESSAGE_HEADER_LENGTH STUN_MESSAGE_ATTRIBUTES_POS

### STUN_MESSAGE_LENGTH_LEN

    #define STUN_MESSAGE_LENGTH_LEN 2

### STUN_MESSAGE_LENGTH_POS

    #define             STUN_MESSAGE_LENGTH_POS

### STUN_MESSAGE_TRANS_ID_LEN

    #define STUN_MESSAGE_TRANS_ID_LEN 16

### STUN_MESSAGE_TRANS_ID_POS

    #define             STUN_MESSAGE_TRANS_ID_POS

### STUN_MESSAGE_TYPE_LEN

    #define STUN_MESSAGE_TYPE_LEN 2

### STUN_MESSAGE_TYPE_POS

    #define STUN_MESSAGE_TYPE_POS 0

### TURN_MAGIC_COOKIE

    #define TURN_MAGIC_COOKIE 0x72c64bc6